#pragma once

#include "CoreMinimal.h"
#include "SubPresenter.h"
#include "SettingsMatchDetailsSubPresenter.generated.h"

UCLASS(Blueprintable)
class DBDUIPRESENTERS_API USettingsMatchDetailsSubPresenter : public USubPresenter
{
	GENERATED_BODY()

protected:
	UFUNCTION(BlueprintCallable)
	void OnPlayerInfoClicked(const FString& playerId);

public:
	USettingsMatchDetailsSubPresenter();
};

FORCEINLINE uint32 GetTypeHash(const USettingsMatchDetailsSubPresenter) { return 0; }
